import { createRouter, createWebHashHistory } from "vue-router";
import DocumentAIIntroduction from "@/pages/main/views/homePage.vue";
import magicColor from "@/pages/main/views/ImageProcess/magicColor.vue";
import ocr from "@/pages/main/views/Recognize/ocr.vue";
import tableRec from "@/pages/main/views/Recognize/tableRec.vue";
import LayoutAnalysis from "@/pages/main/views/Detection/LayoutAnalysis.vue";

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      name: "main",
      component: DocumentAIIntroduction,
    },
    {
      path: "/magicColor",
      name: "magicColor",
      component: magicColor,
    },
    {
      path: "/ocr",
      name: "ocr",
      component: ocr,
    },
    {
      path: "/tableRec",
      name: "tableRec",
      component: tableRec,
    },
    {
      path: "/LayoutAnalysis",
      name: "LayoutAnalysis",
      component: LayoutAnalysis,
    }
  ],
});

export default router;